# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/com/sun/xml/stream/%{base_name}/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define section   free
%define base_name sjsxp
%define api_version 1.0

Name:           sun-sjsxp
Version:        1.0.1
Release:        5%{?dist}
Epoch:          0
Summary:        SJSXP is an efficient implementation of the StAX API 
Group:          Development/Libraries/Java
License:        CDDL v1.0 and GPL v2
URL:            https://sjsxp.dev.java.net/
# cvs -d :pserver:guest@cvs.dev.java.net:/cvs export -r sjsxp-1_0_1 -d sun-sjsxp-1_0_1 sjsxp/zephyr && tar zcf sun-sjsxp-1_0_1.tar.gz sun-sjsxp-1_0_1/
Source0:        sun-sjsxp-1_0_1.tar.gz
Source5:	    sun-sjsxp-component-info.xml
Source1:	    sun-sjsxp-upload.sh

Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  geronimo-stax-1.0-api
# To create content for maven2-brew
BuildRequires:  maven-deploy-plugin
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Sun Java Streaming XML Parser (SJSXP) is an efficient implementation of the StAX API which is fully compliant with the XML 1.0 and Namespace 1.0 specifications.

%prep
%setup -q -n sun-sjsxp-1_0_1

%build
rm -rf lib/*
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/junit`
ln -s $(build-classpath geronimo-stax-1.0-api) lib/jsr173_1.0_api.jar
ln -s $(build-classpath geronimo-stax-1.0-api) lib/jsr173_api.jar
ln -s $(build-classpath junit) lib/junit.jar
%{ant} dist

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}

install -pm 644 build/%{base_name}.jar \
  %{buildroot}%{_javadir}/%{base_name}-%{version}.jar

ln -s %{base_name}-%{version}.jar %{buildroot}%{_javadir}/%{base_name}.jar
ln -s %{base_name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(0644,root,root,0755)
%doc README
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{base_name}-%{version}.jar
%{_javadir}*/%{base_name}.jar


%changelog
* Fri Dec 10 2010 Hui Wang <huwang@redhat.com> - 0:1.0.1-5
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-4.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.1-4
- Rebuild

* Mon Nov 09 2009 Yong Yang <yyang@redhat.com> - 0:1.0.1-3
- Fix repodir

* Mon Nov 02 2009 Yong Yang <yyang@redhat.com> - 0:1.0.1-2
- Add repolib

* Thu Oct 29 2009 Yong Yang <yyang@redhat.com> - 0:1.0.1-1
- First release
